summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--azure-pipelines_windows.yml4
-rwxr-xr-xtools/ci/scripts/azure/mxetest.sh6
2 files changed, 6 insertions, 4 deletions
diff --git a/azure-pipelines_windows.yml b/azure-pipelines_windows.yml
index 31279c309..0538d8a8b 100644
--- a/azure-pipelines_windows.yml
+++ b/azure-pipelines_windows.yml
@@ -14,11 +14,11 @@ jobs:
cp -rf . "$(Build.ArtifactStagingDirectory)"
ls "$(Build.ArtifactStagingDirectory)"
echo done
+ env:
+ GITLABTOKEN: $(gitlabtoken)
- task: PublishBuildArtifacts@1
inputs:
artifactName: manaplus32
- env:
- GITLABTOKEN: $(gitlabtoken)
- job: mxe_32_test
dependsOn: mxe_32_build
diff --git a/tools/ci/scripts/azure/mxetest.sh b/tools/ci/scripts/azure/mxetest.sh
index 216e24b7a..d92085173 100755
--- a/tools/ci/scripts/azure/mxetest.sh
+++ b/tools/ci/scripts/azure/mxetest.sh
@@ -1,7 +1,9 @@
#!/bin/bash
-echo docker login registry.gitlab.com
-docker login registry.gitlab.com -u azure -p $GITLABTOKEN
+echo docker login --help
+docker login --help
+echo docker login registry.gitlab.com -u azure -p TOKEN
+docker login registry.gitlab.com -u azure -p $GITLABTOKEN || exit 1
export IMAGE="registry.gitlab.com/manaplus/mxe:gcc6_shared_${BITS}"
export COMMAND="./tools/ci/jobs/mxe_gcc6_tests.sh --without-manaplusgame --without-dyecmd"